Skip to main content

Documentation Index

Fetch the complete documentation index at: https://help.opus.pro/llms.txt

Use this file to discover all available pages before exploring further.

Introduction

The POST /api/clip-projects/{projectId}/update-visibility endpoint allows you to share a project with other users by updating the project’s visibility settings. You can set the visibility of the project to PUBLIC to allow any users to view, edit and export the project.

Request Parameters

  • projectId (required): The unique identifier of the project.

Request Body

  • visibility (required): The visibility setting for the project. Must be one of DEFAULT or PUBLIC.

Example

curl --request POST \
  --url https://api.opus.pro/api/clip-projects/<PROJECT_ID>/update-visibility \
  --header 'Authorization: <API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{
  "visibility": "PUBLIC"
}'
Ensure you replace API_KEY and PROJECT_ID with your actual values.

Playground

Generate Code Snippet

Use this code generator to easily create code snippets.

Response Schema

API Response Schema

For more details of response, please refer to the API response schema.